# layerduplicate.cpp File Reference

Template File. More...

`#include "layerduplicate.h"`
`#include "layeradd.h"`
`#include <synfig/context.h>`
`#include <synfigapp/canvasinterface.h>`
`#include <synfigapp/general.h>`

## Functions

| ACTION_INIT_NO_GET_LOCAL_NAME (Action::LayerDuplicate)
| ACTION_SET_NAME (Action::LayerDuplicate,"LayerDuplicate")
| ACTION_SET_LOCAL_NAME (Action::LayerDuplicate, N_("Duplicate Layer"))
| ACTION_SET_TASK (Action::LayerDuplicate,"duplicate")
| ACTION_SET_CATEGORY (Action::LayerDuplicate, Action::CATEGORY_LAYER)
| ACTION_SET_PRIORITY (Action::LayerDuplicate, 0)
| ACTION_SET_VERSION (Action::LayerDuplicate,"0.0")
| ACTION_SET_CVS_ID (Action::LayerDuplicate,"$Id$")

## Detailed Description

Template File.

$Id$

## Function Documentation

ACTION_INIT_NO_GET_LOCAL_NAME | ( | Action::LayerDuplicate |  | ) |

ACTION_SET_NAME | ( | Action::LayerDuplicate | ,
|  | "LayerDuplicate" |  |
| ) |  |  |

ACTION_SET_LOCAL_NAME | ( | Action::LayerDuplicate | ,
|  | N_("Duplicate Layer") |  |
| ) |  |  |

ACTION_SET_TASK | ( | Action::LayerDuplicate | ,
|  | "duplicate" |  |
| ) |  |  |

ACTION_SET_CATEGORY | ( | Action::LayerDuplicate | ,
|  | Action::CATEGORY_LAYER |  |
| ) |  |  |

ACTION_SET_PRIORITY | ( | Action::LayerDuplicate | ,
|  | 0 |  |
| ) |  |  |

ACTION_SET_VERSION | ( | Action::LayerDuplicate | ,
|  | "0.0" |  |
| ) |  |  |

ACTION_SET_CVS_ID | ( | Action::LayerDuplicate | ,
|  | "$Id$" |  |
| ) |  |  |